Subject: Re: [PATCH] doc: flock of small fixes to various documentation files

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Thu, 18 Dec 2025 09:05:44 +0100

On Wed, Dec 17, 2025, at 14:45, Jean-Noël Avila wrote:
> Le 15/12/2025 à 23:50, Kristoffer Haugsbakk a écrit :
>>[snip]
>>
>> Could this fruitfully be split into at least two commits?
>>
>> I just think these are two different categories.
>
> For me these changes are so straightforward that splitting/grouping
> seemed overkill. But, I understand your point. Style vs. pure formatting
> is a good approach, even if here the style is not about the approach to
> writing the documentation.
>
>>
>> Is that just an academic concern? Well, in my experience it is very
>> pleasant to pickaxe through a snippet of text, stumble upon clearly
>> marked commits like
>>
>> • Use USA spelling
>> • Fix articles (the/a/an)
>> • *: typos
>>
>> and just race past them. Because I am looking for the original
>> motivation for some phrasing (say), typos and missing articles and all,
>> and these commits are simple to bunny hop. But here, fixing a missing
>> parentheses is mixed together with
>>
>>     Replace: less than `<n>`, where `<n>` represents a number of bytes,
>>     With: less than `<n>` bytes
>>
>> And now I might have to pause and think which implicated change this is
>> about for my purposes; a subjective-but-good change or a
>> fix-objective-mistake change. Because that matters when I want to know
>> why the text is phrased in a certain way.
>>
>
> OK, will split in two.

Thanks. Your consideration of this point is enough for me. Appreciated.

>>[snip]
>>
>
> Not the purpose of this commit, but maybe, it would make sense to stress
> out that the first sentence for explaining an option should describe
> bluntly its positive action expressed in imperative mood, with no
> ceremony. After this first sentence, the negative equivalient, more
> context, more precision or use cases can be described.

That sounds excellent.

>[snip]